Problemas com instalação do nvidia304.137

1. Problemas com instalação do nvidia304.137

Rafael
meia_noite

(usa Linux Mint)

Enviado em 31/01/2020 - 16:35h

Estou com um problema para instalar o driver da placa no mint 19.3 há alguns dias ja tentei compilar, ja tentei instalar do ppa e o deb foi minha ultima tentativa erro reportado no terminal ao tentar instalar:
sudo dpkg -i --force-depends nvidia-304_304.137-0ubuntu1_amd64.deb
(Lendo banco de dados ... 249162 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar nvidia-304_304.137-0ubuntu1_amd64.deb ...
A descompactar nvidia-304 (304.137-0ubuntu1) sobre (304.137-0ubuntu1) ...
dpkg: problemas com dependências impedem a configuração de nvidia-304:
libglx-mesa0:amd64 (19.2.1-1ubuntu1~18.04.1) quebra nvidia-304 e é instalado.
libgles2-mesa:amd64 (19.2.1-1ubuntu1~18.04.1) quebra nvidia-304 e é instalado.libegl-mesa0:amd64 (19.2.1-1ubuntu1~18.04.1) quebra nvidia-304 e é instalado.

dpkg: erro ao processar o pacote nvidia-304 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.27-3ubuntu1) ...
A processar 'triggers' para man-db (2.8.3-2ubuntu0.1) ...
Erros foram encontrados durante o processamento de:
nvidia-304

Nas diversas tentativas diversos erros diferentes como:
Tela preta;
Looping e tela preta;
E trava do mouse e do teclado.
Como instalar o driver sem erros no linux mint 19.3



  


2. Re: Problemas com instalação do nvidia304.137

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 01/02/2020 - 14:22h

Desinstale libglx-mesa0:amd64 e libgles2-mesa:amd64 e tente novamente.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


3. Re: Problemas com instalação do nvidia304.137

Rafael
meia_noite

(usa Linux Mint)

Enviado em 03/02/2020 - 19:25h

aguamole escreveu:

Desinstale libglx-mesa0:amd64 e libgles2-mesa:amd64 e tente novamente.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Com a instalação limpa tentando instalar a primeira vez tenho os seguintes erros
A seleccionar pacote anteriormente não seleccionado nvidia-304.
(Lendo banco de dados ... 252478 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar nvidia-304_304.137-0ubuntu1_amd64.deb ...
A descompactar nvidia-304 (304.137-0ubuntu1) ...
dpkg: problemas com dependências impedem a configuração de nvidia-304:
nvidia-304 depende de libc6-dev; porém:
Pacote libc6-dev não está instalado.
nvidia-304 depende de lib32gcc1; porém:
Pacote lib32gcc1 não está instalado.
nvidia-304 depende de libc6-i386; porém:
Pacote libc6-i386 não está instalado.
nvidia-304 depende de xorg-video-abi-11 | xorg-video-abi-12 | xorg-video-abi-13 | xorg-video-abi-14 | xorg-video-abi-15 | xorg-video-abi-18 | xorg-video-abi-19 | xorg-video-abi-20 | xorg-video-abi-23; porém:
Pacote xorg-video-abi-11 não está instalado.
Pacote xorg-video-abi-12 não está instalado.
Pacote xorg-video-abi-13 não está instalado.
Pacote xorg-video-abi-14 não está instalado.
Pacote xorg-video-abi-15 não está instalado.
Pacote xorg-video-abi-18 não está instalado.
Pacote xorg-video-abi-19 não está instalado.
Pacote xorg-video-abi-20 não está instalado.
Pacote xorg-video-abi-23 não está instalado.
libglx-mesa0:amd64 (19.2.8-0ubuntu0~18.04.1) quebra nvidia-304 e é instalado.
libgles2-mesa:amd64 (19.2.8-0ubuntu0~18.04.1) quebra nvidia-304 e é instalado.
libegl-mesa0:amd64 (19.2.8-0ubuntu0~18.04.1) quebra nvidia-304 e é instalado.

dpkg: erro ao processar o pacote nvidia-304 (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para libc-bin (2.27-3ubuntu1) ...
A processar 'triggers' para man-db (2.8.3-2ubuntu0.1) ...
Erros foram encontrados durante o processamento de:
nvidia-304

Instalo os pacotes que reclama que não instalados, mas estou receoso de desinstalar os que estão quebrando pq vão desinstalar muita coisa e provavelmente zoar ainda mais o sistema, existe um jeito menos destrutivo de fazer?



4. Re: Problemas com instalação do nvidia304.137

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 03/02/2020 - 19:44h

Comando:
cat /etc/apt/sources.list > ~/temp4.txt 

Abra o arquivo temp4.txt e coloque o conteúdo a que.

Qual é a GPU?

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


5. Re: Problemas com instalação do nvidia304.137

Perfil removido
removido

(usa Nenhuma)

Enviado em 03/02/2020 - 19:45h

A NVIDIA falou que não vai mais oferecer nenhum tipo de update para o driver da série 340..

Eu tinha lido aqui na reportagem abaixo, que em Dezembro de 2019 a NVIDIA soltou uma versão do 340 com várias correções de compatibilidade com o Linux.

A esperança é que isso possibilitasse o driver funcionar por mais alguns anos com o Linux..
https://www.gamingonlinux.com/articles/nvidia-end-updates-to-the-340-series-legacy-driver-for-linux....

Daí fui investigar para ver se não era o mesmo driver que o seu...

Então eu acho que no seu caso, que falou que é o driver *304*, tome cuidado. Verifique se é mesmo o driver correto, por que ele é mais antigo ainda..
The Linux 304.* legacy driver series is the last to support the NV4x and G7x GPUs and motherboard chipsets based on them. Support for X.Org xserver version 1.19 was added to the 304.* legacy driver series with version 304.134, and support for Linux kernels up to Linux 4.13 was added with version 304.137. No further releases from the 304.* series are planned.

https://nvidia.custhelp.com/app/answers/detail/a_id/3142/

Ele só vai rodar nas distros que tem o kernel até o 4.13. Então no seu caso vai ter que ser uma distro LTS, tipo o Ubuntu 18.04 LTS..

Já o driver 340 roda até com o kernel 5.4..

Vá com cuidado... Usar opções de --force nunca dão resultados legais..

(espero que meu post não tenha ficado confuso)



6. Re: Problemas com instalação do nvidia304.137

Rafael
meia_noite

(usa Linux Mint)

Enviado em 09/02/2020 - 08:27h

aguamole escreveu:

Comando:
cat /etc/apt/sources.list > ~/temp4.txt 

Abra o arquivo temp4.txt e coloque o conteúdo a que.

Qual é a GPU?

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


#deb cdrom:[Linux Mint 19.3 _Tricia_ - Release amd64 20191213]/ bionic contrib main non-free

Device-1: NVIDIA C61 [GeForce 7025 / nForce 630a] vendor: ASUSTeK driver: nouveau
v: kernel bus ID: 00:0d.0 chip ID: 10de:03d6
Display: x11 server: X.Org 1.19.6 driver: modesetting alternate: fbdev,nouveau,vesa
resolution: 1920x1080~60Hz
OpenGL: renderer: NV4C v: 2.1 Mesa 19.2.8 direct render: Yes



7. Re: Problemas com instalação do nvidia304.137

Rafael
meia_noite

(usa Linux Mint)

Enviado em 09/02/2020 - 08:30h

marimbondo2 escreveu:

A NVIDIA falou que não vai mais oferecer nenhum tipo de update para o driver da série 340..

Eu tinha lido aqui na reportagem abaixo, que em Dezembro de 2019 a NVIDIA soltou uma versão do 340 com várias correções de compatibilidade com o Linux.

A esperança é que isso possibilitasse o driver funcionar por mais alguns anos com o Linux..
https://www.gamingonlinux.com/articles/nvidia-end-updates-to-the-340-series-legacy-driver-for-linux....

Daí fui investigar para ver se não era o mesmo driver que o seu...

Então eu acho que no seu caso, que falou que é o driver *304*, tome cuidado. Verifique se é mesmo o driver correto, por que ele é mais antigo ainda..
The Linux 304.* legacy driver series is the last to support the NV4x and G7x GPUs and motherboard chipsets based on them. Support for X.Org xserver version 1.19 was added to the 304.* legacy driver series with version 304.134, and support for Linux kernels up to Linux 4.13 was added with version 304.137. No further releases from the 304.* series are planned.

https://nvidia.custhelp.com/app/answers/detail/a_id/3142/

Ele só vai rodar nas distros que tem o kernel até o 4.13. Então no seu caso vai ter que ser uma distro LTS, tipo o Ubuntu 18.04 LTS..

Já o driver 340 roda até com o kernel 5.4..

Vá com cuidado... Usar opções de --force nunca dão resultados legais..

(espero que meu post não tenha ficado confuso)


A informação é valida, mas ja tentei instalar o 340 e deu ruim, ja quanto a questão de kernel posso instalar em um kernel anterior até haver suporte pro kernel mais recente ou alguma solução pra fazer funcionar


8. Re: Problemas com instalação do nvidia304.137

Cézar Augusto
Cizordj

(usa Debian)

Enviado em 20/02/2020 - 20:01h

Nesse artigo eu explico por que esse driver não funciona nas distros atuais, dá uma lida.
https://www.vivaolinux.com.br/artigo/Computador-e-Placas-Antigas-Nvidia-em-Pleno-2019/
O jeito é pegar uma distribuição com o XFCE e uma versão mais antiga do Xorg e do kernel.


________________________________________________
O programador tem a mania de achar que tudo é objeto


9. Problemas com instalação do nvidia304.137

Rafael
meia_noite

(usa Linux Mint)

Enviado em 20/02/2020 - 21:12h

Cizordj escreveu:

Nesse artigo eu explico por que esse driver não funciona nas distros atuais, dá uma lida.
https://www.vivaolinux.com.br/artigo/Computador-e-Placas-Antigas-Nvidia-em-Pleno-2019/
O jeito é pegar uma distribuição com o XFCE e uma versão mais antiga do Xorg e do kernel.


________________________________________________
O programador tem a mania de achar que tudo é objeto


Compramos uma placa de video nvidia eu abri o pc e o hardware informado é integrado na placa pode se dizer que está resolvido






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts